﻿@model FirstMVCAppMy.UI.Models.Orders.OrderFilterModel
@{
    ViewData["Title"] = "Orders";
}

<h1>Orders</h1>

<div class="row">
        <div class="col-md-4">
            <form asp-action="Index" method="get">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="ProductAmountFrom" class="control-label"></label>
                    <input asp-for="ProductAmountFrom" class="form-control" value="@Model.ProductAmountFrom" />
                    <span asp-validation-for="ProductAmountFrom" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="ProductAmountTo" class="control-label"></label>
                    <input asp-for="ProductAmountTo" class="form-control" value="@Model.ProductAmountTo" />
                    <span asp-validation-for="ProductAmountTo" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <input type="submit" value="Search" class="btn btn-primary" />
                </div>
            </form>
        </div>
    </div>

<table>
    <th>
        Всего количество заказов
        @for (int i = 1; i < Model.Orders.Count + 1; i++)
        {
            if (i == Model.Orders.Count)
            {
            <td>@i</td>
        }
    }</th>

<table class="table">
    <thead>
    <tr>
        <th>
            Наименование товара и Брэнд
        </th>
        <th>
            Цена товара
        </th>
        <th>
            Дата заказа
        </th>
        <th>
            Количество
        </th>
        <th>
            Сумма заказа
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model.Orders) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ProductName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Price)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.OrderCreatedOn)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.OrderQuantity)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.OrderProductAmount)
            </td>
        </tr>
    }
    </tbody>
</table>
